import { SyncDescriptor } from 'vscode/vscode/vs/platform/instantiation/common/descriptors';
import { IAuthenticationService, IAuthenticationExtensionsService } from 'vscode/vscode/vs/workbench/services/authentication/common/authentication';
import { AuthenticationService } from 'vscode/vscode/vs/workbench/services/authentication/browser/authenticationService';
import { IAuthenticationAccessService, AuthenticationAccessService } from 'vscode/vscode/vs/workbench/services/authentication/browser/authenticationAccessService';
import { IAuthenticationUsageService, AuthenticationUsageService } from 'vscode/vscode/vs/workbench/services/authentication/browser/authenticationUsageService';
import { AuthenticationExtensionsService } from './vscode/src/vs/workbench/services/authentication/browser/authenticationExtensionsService.js';

function getServiceOverride() {
    return {
        [( IAuthenticationService.toString())]: new SyncDescriptor(AuthenticationService, [], true),
        [( IAuthenticationAccessService.toString())]: new SyncDescriptor(AuthenticationAccessService, [], true),
        [( IAuthenticationExtensionsService.toString())]: new SyncDescriptor(AuthenticationExtensionsService, [], true),
        [( IAuthenticationUsageService.toString())]: new SyncDescriptor(AuthenticationUsageService, [], true)
    };
}

export { getServiceOverride as default };
